Bug 830770 - rhev-h [usability]: not all fields in the admin console can be accessed with the keyboard arrows
rhev-h [usability]: not all fields in the admin console can be accessed with ...
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhev-hypervisor6 (Show other bugs)
6.3
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Mike Burns
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 07:35 EDT by Dafna Ron
Modified: 2016-04-26 10:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 10:28:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-06-11 07:35:06 EDT
Description of problem:

I installed rhev-h today and realized that we cannot access some of the fields in the admin console using the keyboard arrows which makes it seem as if they are grayed-out and cannot be edited.
please allow users to move on all fields with conventional usages of console install (as I would be able to when installing rhel).

Version-Release number of selected component (if applicable):

Red Hat Enterprise Virtualization Hypervisor release 6.3 (20120606.3)

How reproducible:

100%

Steps to Reproduce:
1. install rhev-h
2. try to configure the system using the keyboard
3.
 
Actual results:

we cannot access some of the fields (such as ssh, and rhevm)

Expected results:

we should be able to access all fields using conventional keys as we would in any rhel install.
Additional info:
Comment 1 Mike Burns 2012-06-11 09:29:20 EDT
I'm not clear on what you're referring to.  There are fields that we disable when they either can't be configured or when they're not relevant, but all fields can be accessed/configured via the keyboard.  We have no mouse support, so keyboard is the only option.  

Please provide additional details on what can't be configured -- where, what steps you've done, etc...
Comment 2 Dafna Ron 2012-06-11 10:57:53 EDT
this is what I was unable to access using the tab and arrows. 

1. enable ssh password authentication -> could not navigate to it with the keyboard arrows. 
2. rhev-m menu -> could not access the Management Server line with the keyboard arrows
3. in network -> could not access the device configuration using keyboard arrows. 

you need to press the space to enter these fields.
Comment 3 cshao 2012-06-11 23:55:41 EDT
Test version: 
rhev-hypervisor6-6.3-20120606.3.el6

All fields can be accessed/configured via the keyboard from QE side.
Status
Network
Security
Keyboard
SNMP
Logging
Kernel Dump
Remote Storage
CIM
RHEV-M
Red Hat Network
 
You can navigate all fields by below key:
Up and down arrow
left and right arrow
Tab key
Space key 
Enter key
Comment 4 RHEL Product and Program Management 2012-07-10 03:19:00 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-07-10 21:50:27 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 6 Mike Burns 2012-07-11 10:28:05 EDT
As per QE's statement in comment 3, closing this bz

Note You need to log in before you can comment on or make changes to this bug.